%define name	gammu
%define version	0.98.0
%define release	1mdk

Summary:		Mobile phones tools for Unix (Linux) and Win32
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			Communications
Source:			%{name}-%{version}.tar.gz
Patch0:			%{name}-bluezlibs.patch
URL:			http://www.mwiacek.com/gsm/gammu/gammu.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:		libbluez-devel	

%description
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.

%package devel
Summary:		Headers and pkgconfig file for Gammu development
Group:			Development/Libraries
Requires:		%{name} = %{version}

%description devel
This package contains the headers and pkgconfig file that programmers
will need to develop applications which will use libGammu.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-cb --enable-7110incoming \
	--with-docdir=%{_docdir}/%{name}-%{version}
%{__make}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} installlib
%__mkdir_p %{buildroot}%{_sysconfdir}
%__sed -e 's|^port =.*$|port = /dev/ttyS0|' \
         -e 's|^connection =.*$|connection = dlr3|' \
         -e 's/
$//' \
         < docs/examples/config/gammurc > %{buildroot}%{_sysconfdir}/gammurc

%files
%defattr(-,root,root)
%doc changelog copying readme.txt docs/examples docs/docs
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/gammurc
%attr(0755,root,root) %{_bindir}/gammu
%attr(0755,root,root) %{_libdir}/libGammu.so.0.0
%{_datadir}/gammu
%{_mandir}/man1/gammu.1*

%files devel
%defattr(-,root,root)
%doc docs/develop/*
%attr(0755,root,root) %{_libdir}/libGammu.so.0
%attr(0755,root,root) %{_libdir}/libGammu.so
%attr(0755,root,root) %{_libdir}/libGammu.a
%{_includedir}/gammu
%{_libdir}/pkgconfig/gammu.pc

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Fri Sep 24 2004 Erwan Velu <erwan@mandrakesoft.com> 0.98.0-1mdk
- Initial mdk package
